package com.uas.platform.b2b.service;

import com.uas.platform.b2b.model.InvitationRecord;
import com.uas.search.b2b.model.PageParams;
import com.uas.search.b2b.model.SPage;
import org.springframework.ui.ModelMap;

import java.util.List;

public interface InvitationRecordService {

	/**
	 * 进行邀请
	 * 
	 * @param record
	 * @return
	 */
	public ModelMap invite(InvitationRecord record);

	/**
	 * 获取邀请记录
	 * 
	 * @param params
	 * @param keyword
	 * @return
	 */
	public SPage<InvitationRecord> getRecords(PageParams params, String keyword);

	/**
	 * 通过注册UU号查询邀请记录
	 *
	 * @param enuu 注册UU号
	 * @return
	 */
	List<InvitationRecord> findByVendUU(Long enuu);

    /**
     * 发送邮件通知
     *
     * @param record 邀请记录
     */
	void sendEmail(final InvitationRecord record);

    /**
     * 同步到账户中心
     *
     * @param record 邀请记录
     * @param businessCode 营业执照
     */
    void syncToAccount(InvitationRecord record, String businessCode);
}
